com.taosdata.jdbc.ws

## Class FetchBlockData

- java.lang.Object
- - com.taosdata.jdbc.ws.FetchBlockData

    public class FetchBlockData
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FetchBlockData(Transport transport, QueryResp response, List<RestfulResultSet.Field> fields, int timeoutMs, int precision)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BlockData` `getBlockData()`
`void` `handleReceiveBlockData(FetchBlockNewResp resp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FetchBlockData

    public FetchBlockData(Transport transport,
                          QueryResp response,
                          List<RestfulResultSet.Field> fields,
                          int timeoutMs,
                          int precision)

### Method Detail

#### handleReceiveBlockData

    public void handleReceiveBlockData(FetchBlockNewResp resp)
                                throws InterruptedException

Throws:
  `InterruptedException`

#### getBlockData

    public BlockData getBlockData()
                           throws SQLException

Throws:
  `SQLException`